"""
"chesney" package setup.
"""

from setuptools import setup

with open('README.md', 'r') as stream:
    LONG_DESCRIPTION = stream.read()

setup(
    author='Cariad Eccleston',
    author_email='cariad@cariad.me',
    classifiers=[
        'Development Status :: 5 - Production/Stable',
        'Environment :: Console',
        'Intended Audience :: Developers',
        'License :: OSI Approved :: MIT License',
        'Natural Language :: English',
        'Programming Language :: Python :: 3',
        'Operating System :: OS Independent',
        'Topic :: Internet :: WWW/HTTP :: Site Management'
    ],
    description='A Python package to indicate if this EC2 instance should be '
                'the one and only to perform a task within an auto-scaling '
                'group.',
    extras_require={
        'dev': [
            'autopep8',
            'coverage',
            'mock',
            'pylint'
        ]
    },
    install_requires=[
        'boto3~=1.9',
        'ec2-metadata~=1.8'
    ],
    name='chesney',
    license='MIT',
    long_description=LONG_DESCRIPTION,
    long_description_content_type='text/markdown',
    packages=[
        'chesney',
        'chesney.exceptions'
    ],
    url='https://github.com/cariad/py-chesney',
    version='1.0')
